Package org.eclipse.birt.core.template

# Interface TextTemplate.Visitor

Enclosing class:
  `TextTemplate`

public static interface TextTemplate.Visitor

## Method Summary

Modifier and Type
Method
Description
`Object`
`visitExpressionValue(TextTemplate.ExpressionValueNode node, Object value)`
`Object`
`visitImage(TextTemplate.ImageNode image, Object value)`
`Object`
`visitText(TextTemplate.TextNode node, Object value)`
`Object`
`visitValue(TextTemplate.ValueNode node, Object value)`

## Method Details

### visitText

Object visitText(TextTemplate.TextNode node, Object value)

### visitValue

Object visitValue(TextTemplate.ValueNode node, Object value)

### visitImage

Object visitImage(TextTemplate.ImageNode image, Object value)

### visitExpressionValue

Object visitExpressionValue(TextTemplate.ExpressionValueNode node, Object value)